Loading...
Searching...
No Matches
CombinedImuFactor.cpp File Reference

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Macros

#define | D_R_R(H)
#define | D_R_t(H)
#define | D_R_v(H)
#define | D_t_R(H)
#define | D_t_t(H)
#define | D_t_v(H)
#define | D_v_R(H)
#define | D_v_t(H)
#define | D_v_v(H)
#define | D_a_a(H)
#define | D_g_g(H)

## Functions

std::ostream & | gtsam::operator<< (std::ostream &os, const CombinedImuFactor &f)

## Detailed Description

Author
  Luca Carlone
  Stephen Williams
  Richard Roberts
  Vadim Indelman
  David Jensen
  Frank Dellaert
  Varun Agrawal

## Macro Definition Documentation

## D_a_a

#define D_a_a | ( |  | H | ) |

Value:
(H)->block<3,3>(9,9)

## D_g_g

#define D_g_g | ( |  | H | ) |

Value:
(H)->block<3,3>(12,12)

## D_R_R

#define D_R_R | ( |  | H | ) |

Value:
(H)->block<3,3>(0,0)

## D_R_t

#define D_R_t | ( |  | H | ) |

Value:
(H)->block<3,3>(0,3)

## D_R_v

#define D_R_v | ( |  | H | ) |

Value:
(H)->block<3,3>(0,6)

## D_t_R

#define D_t_R | ( |  | H | ) |

Value:
(H)->block<3,3>(3,0)

## D_t_t

#define D_t_t | ( |  | H | ) |

Value:
(H)->block<3,3>(3,3)

## D_t_v

#define D_t_v | ( |  | H | ) |

Value:
(H)->block<3,3>(3,6)

## D_v_R

#define D_v_R | ( |  | H | ) |

Value:
(H)->block<3,3>(6,0)

## D_v_t

#define D_v_t | ( |  | H | ) |

Value:
(H)->block<3,3>(6,3)

## D_v_v

#define D_v_v | ( |  | H | ) |

Value:
(H)->block<3,3>(6,6)